# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{qpid_proton}
  s.version = "0.13.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Darryl L. Pierce"]
  s.date = %q{2016-06-23}
  s.description = %q{Proton is a high performance, lightweight messaging library. It can be used in
the widest range of messaging applications including brokers, client libraries,
routers, bridges, proxies, and more. Proton is based on the AMQP 1.0 messaging
standard.
}
  s.email = ["proton@qpid.apache.org"]
  s.extensions = ["ext/cproton/extconf.rb"]
  s.files = ["LICENSE", "TODO", "ChangeLog", "ext/cproton/extconf.rb", "ext/cproton/cproton.c", "lib/util/class_wrapper.rb", "lib/util/error_handler.rb", "lib/util/version.rb", "lib/util/swig_helper.rb", "lib/util/constants.rb", "lib/util/timeout.rb", "lib/util/uuid.rb", "lib/util/reactor.rb", "lib/util/condition.rb", "lib/util/handler.rb", "lib/util/wrapper.rb", "lib/util/engine.rb", "lib/types/array.rb", "lib/types/described.rb", "lib/types/strings.rb", "lib/types/hash.rb", "lib/event/collector.rb", "lib/event/event.rb", "lib/event/event_type.rb", "lib/event/event_base.rb", "lib/codec/data.rb", "lib/codec/mapping.rb", "lib/reactor/session_per_connection.rb", "lib/reactor/link_option.rb", "lib/reactor/backoff.rb", "lib/reactor/ssl_config.rb", "lib/reactor/urls.rb", "lib/reactor/global_overrides.rb", "lib/reactor/connector.rb", "lib/reactor/reactor.rb", "lib/reactor/container.rb", "lib/reactor/task.rb", "lib/reactor/acceptor.rb", "lib/handler/c_flow_controller.rb", "lib/handler/wrapped_handler.rb", "lib/handler/c_adaptor.rb", "lib/handler/messaging_handler.rb", "lib/handler/acking.rb", "lib/handler/endpoint_state_handler.rb", "lib/handler/outgoing_message_handler.rb", "lib/handler/incoming_message_handler.rb", "lib/qpid_proton.rb", "lib/messenger/subscription.rb", "lib/messenger/tracker.rb", "lib/messenger/messenger.rb", "lib/messenger/tracker_status.rb", "lib/core/exceptions.rb", "lib/core/ssl.rb", "lib/core/sender.rb", "lib/core/ssl_domain.rb", "lib/core/message.rb", "lib/core/link.rb", "lib/core/endpoint.rb", "lib/core/disposition.rb", "lib/core/url.rb", "lib/core/session.rb", "lib/core/selectable.rb", "lib/core/receiver.rb", "lib/core/sasl.rb", "lib/core/connection.rb", "lib/core/transport.rb", "lib/core/ssl_details.rb", "lib/core/terminus.rb", "lib/core/delivery.rb", "lib/core/base_handler.rb"]
  s.homepage = %q{http://qpid.apache.org/proton}
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{Ruby language bindings for the Qpid Proton messaging framework}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<json>, [">= 0"])
    else
      s.add_dependency(%q<json>, [">= 0"])
    end
  else
    s.add_dependency(%q<json>, [">= 0"])
  end
end
